public class JRXmlaQueryExecuterFactory extends AbstractQueryExecuterFactory
| Modifier and Type | Field and Description |
|---|---|
static java.lang.String |
PARAMETER_XMLA_CATALOG |
static java.lang.String |
PARAMETER_XMLA_DATASOURCE |
static java.lang.String |
PARAMETER_XMLA_PASSWORD |
static java.lang.String |
PARAMETER_XMLA_URL |
static java.lang.String |
PARAMETER_XMLA_USER |
QUERY_EXECUTER_FACTORY_PREFIX| Constructor and Description |
|---|
JRXmlaQueryExecuterFactory() |
| Modifier and Type | Method and Description |
|---|---|
JRQueryExecuter |
createQueryExecuter(JasperReportsContext jasperReportsContext,
JRDataset dataset,
java.util.Map<java.lang.String,? extends JRValueParameter> parameters)
Creates a query executer.
|
java.lang.Object[] |
getBuiltinParameters()
Returns the built-in parameters associated with this query type.
|
boolean |
supportsQueryParameterType(java.lang.String className)
Decides whether the query executers created by this factory support a query parameter type.
|
createQueryExecuterpublic static final java.lang.String PARAMETER_XMLA_URL
public static final java.lang.String PARAMETER_XMLA_DATASOURCE
public static final java.lang.String PARAMETER_XMLA_CATALOG
public static final java.lang.String PARAMETER_XMLA_USER
public static final java.lang.String PARAMETER_XMLA_PASSWORD
public java.lang.Object[] getBuiltinParameters()
QueryExecuterFactory{"Param1", String.class, "Param2", "List.class"}).public JRQueryExecuter createQueryExecuter(JasperReportsContext jasperReportsContext, JRDataset dataset, java.util.Map<java.lang.String,? extends JRValueParameter> parameters) throws JRException
QueryExecuterFactoryjasperReportsContext - the JasperReportsContextdataset - the dataset containing the query, fields, etcparameters - map of value parameters (instances of JRValueParameter)
indexed by nameJRExceptionpublic boolean supportsQueryParameterType(java.lang.String className)
QueryExecuterFactoryclassName - the value class name of the parameter© 2001-2010 Jaspersoft Corporation www.jaspersoft.com